Package org.apache.commons.collections4.queue

# Class UnmodifiableQueue<E>

java.lang.Object
org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
org.apache.commons.collections4.queue.AbstractQueueDecorator<E>
org.apache.commons.collections4.queue.UnmodifiableQueue<E>

Type Parameters:
  `E` - The type of elements held in this queue

All Implemented Interfaces:
  `Serializable`, `Iterable<E>`, `Collection<E>`, `Queue<E>`, `Unmodifiable`

public final class UnmodifiableQueue<E> extends AbstractQueueDecorator<E> implements Unmodifiable
Decorates another `Queue` to ensure it can't be altered.

Attempts to modify it will result in an UnsupportedOperationException.

Since:
  4.0
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(Object object)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `addAll(Collection<? extends E> coll)`
  Always throws `UnsupportedOperationException`.
  `void`
  `clear()`
  Always throws `UnsupportedOperationException`.
  `Iterator<E>`
  `iterator()`
  `boolean`
  `offer(E obj)`
  Always throws `UnsupportedOperationException`.
  `E`
  `poll()`
  Always throws `UnsupportedOperationException`.
  `E`
  `remove()`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `remove(Object object)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `removeAll(Collection<?> coll)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `removeIf(Predicate<? super E> filter)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `retainAll(Collection<?> coll)`
  Always throws `UnsupportedOperationException`.
  `static <E> Queue<E>`
  `unmodifiableQueue(Queue<? extends E> queue)`
  Factory method to create an unmodifiable queue.

  ### Methods inherited from class org.apache.commons.collections4.queue.AbstractQueueDecorator

  `decorated, element, peek`

  ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

  `contains, containsAll, isEmpty, setCollection, size, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `contains, containsAll, equals, hashCode, isEmpty, parallelStream, size, spliterator, stream, toArray, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Method Details

  - ### unmodifiableQueue

    public static <E> Queue<E> unmodifiableQueue(Queue<? extends E> queue)
    Factory method to create an unmodifiable queue.

    If the queue passed in is already unmodifiable, it is returned.

    Type Parameters:
      `E` - The type of the elements in the queue
    Parameters:
      `queue` - The queue to decorate, must not be null
    Returns:
      An unmodifiable Queue
    Throws:
      `NullPointerException` - if queue is null

  - ### add

    public boolean add(Object object)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `add` in interface `Collection<E>`
    Specified by:
      `add` in interface `Queue<E>`
    Overrides:
      `add` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `object` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### addAll

    public boolean addAll(Collection<? extends E> coll)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `addAll` in interface `Collection<E>`
    Overrides:
      `addAll` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `coll` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### clear

    public void clear()
    Always throws `UnsupportedOperationException`.
    Specified by:
      `clear` in interface `Collection<E>`
    Overrides:
      `clear` in class `AbstractCollectionDecorator<E>`
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### iterator

    public Iterator<E> iterator()
    Specified by:
      `iterator` in interface `Collection<E>`
    Specified by:
      `iterator` in interface `Iterable<E>`
    Overrides:
      `iterator` in class `AbstractCollectionDecorator<E>`

  - ### offer

    public boolean offer(E obj)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `offer` in interface `Queue<E>`
    Overrides:
      `offer` in class `AbstractQueueDecorator<E>`
    Parameters:
      `obj` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### poll

    public E poll()
    Always throws `UnsupportedOperationException`.
    Specified by:
      `poll` in interface `Queue<E>`
    Overrides:
      `poll` in class `AbstractQueueDecorator<E>`
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### remove

    public E remove()
    Always throws `UnsupportedOperationException`.
    Specified by:
      `remove` in interface `Queue<E>`
    Overrides:
      `remove` in class `AbstractQueueDecorator<E>`
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### remove

    public boolean remove(Object object)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `remove` in interface `Collection<E>`
    Overrides:
      `remove` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `object` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### removeAll

    public boolean removeAll(Collection<?> coll)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `removeAll` in interface `Collection<E>`
    Overrides:
      `removeAll` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `coll` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### removeIf

    public boolean removeIf(Predicate<? super E> filter)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `removeIf` in interface `Collection<E>`
    Overrides:
      `removeIf` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `filter` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.
    Since:
      4.4

  - ### retainAll

    public boolean retainAll(Collection<?> coll)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `retainAll` in interface `Collection<E>`
    Overrides:
      `retainAll` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `coll` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.